#include <bits/stdc++.h>
using namespace std;

    int t;
    long long n,m,k,mins=0,r,os,ros;
int main(){
    cin >> t; 
    for(int j=1; j<=t; j++){
        cin >> n >> m >> k;
        if(n%k==0){ 
            r=n/k;
            for(int i=1; i<=r; i++){
                mins=mins+i;
            }
            mins=mins*k;
        }
        else if(n%k!=0){
            r=n/k;
            os=n-r*k;
            for(int i=1; i<=r; i++){
                mins=mins+i;
                ros=mins;
            }
            mins=mins*k; 
            mins=mins+(ros+1)*os;
        }
        if(mins<=m){
            cout << "Tak" << endl;
        }
        else{
            cout << "Nie" << endl;
        }
        mins=0;
        r=0;
        os=0;
    }
    return 0;
}